## nvidia-graphics-drivers-580-server 580.65.06

=== debian/changelog ===
nvidia-graphics-drivers-580-server (580.65.06-0ubuntu0.25.04.1) plucky; urgency=medium

  * New upstream release 580.65.06 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 30 Jul 2025 13:20:05 +0200

nvidia-graphics-drivers-580-server (580.65.03-0ubuntu0.25.04.2) plucky; urgency=medium

  * New upstream release 580.65.03 ERD1 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 24 Jul 2025 16:06:47 +0200

nvidia-graphics-drivers-570-server (570.172.08-0ubuntu0.25.04.1) plucky; urgency=medium

  * New upstream release 570.172.08 (LP: #2117176)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Jul 2025 19:50:07 +0200

nvidia-graphics-drivers-570-server (570.158.01-0ubuntu0.25.04.1) plucky; urgency=medium

  * New upstream release 570.158.01 ERD5 (LP: #2114898)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 16:48:31 +0200

nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.25.04.1) plucky; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:19:08 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu1) plucky; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:12:55 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu1) plucky; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:35:52 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu4) plucky; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:47:02 +0100
