## nvidia-graphics-drivers-580-server 580.82.07

=== debian/changelog ===
nvidia-graphics-drivers-580-server (580.82.07-0ubuntu2) questing; urgency=medium

  * New upstream release 580.82.07 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 29 Aug 2025 17:11:36 +0200

nvidia-graphics-drivers-580-server (580.82.01-0ubuntu1) questing; urgency=medium

  * New upstream release 580.82.01 (LP: #2121074)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 20 Aug 2025 17:29:35 +0200

nvidia-graphics-drivers-580-server (580.65.06-0ubuntu6) questing; urgency=medium

  * New upstream release 580.65.06 (LP: #2118389)
  * fix 6.17

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 26 Aug 2025 21:52:22 +0200

nvidia-graphics-drivers-580-server (580.65.06-0ubuntu2) questing; urgency=medium

  * New upstream release 580.65.06 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 30 Jul 2025 13:19:13 +0200

nvidia-graphics-drivers-580-server (580.65.03-0ubuntu2) questing; urgency=medium

  * New upstream release 580.65.03 ERD1 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 24 Jul 2025 11:41:04 +0200

nvidia-graphics-drivers-580-server (580.65.03-0ubuntu1) questing; urgency=medium

  * Switch series to 580

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 24 Jul 2025 10:02:55 +0200

nvidia-graphics-drivers-570-server (570.172.08-0ubuntu1) questing; urgency=medium

  * New upstream release 570.172.08 (LP: #2117176)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Jul 2025 19:49:16 +0200

nvidia-graphics-drivers-570-server (570.158.01-0ubuntu2) questing; urgency=medium

  * New upstream release 570.158.01 ERD5 (LP: #2114898)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 16:47:41 +0200

nvidia-graphics-drivers-570-server (570.148.08-0ubuntu1) questing; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:18:14 +0200
