=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580-server (= ${binary:Version}),
- nvidia-dkms-580-server (<= 580.65.06-1),
- nvidia-dkms-580-server (>= 580.65.06),
- nvidia-kernel-common-580-server (<= 580.65.06-1),
- nvidia-kernel-common-580-server (>= 580.65.06),
+ nvidia-dkms-580-server (<= 580.82.07-1),
+ nvidia-dkms-580-server (>= 580.82.07),
+ nvidia-kernel-common-580-server (<= 580.82.07-1),
+ nvidia-kernel-common-580-server (>= 580.82.07),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  libnvidia-extra-580-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580-server (<= 580.65.06-1),
- nvidia-kernel-source-580-server (>= 580.65.06),
- nvidia-kernel-common-580-server (<= 580.65.06-1),
- nvidia-kernel-common-580-server (>= 580.65.06),
- nvidia-firmware-580-server-580.65.06,
+ nvidia-kernel-source-580-server (<= 580.82.07-1),
+ nvidia-kernel-source-580-server (>= 580.82.07),
+ nvidia-kernel-common-580-server (<= 580.82.07-1),
+ nvidia-kernel-common-580-server (>= 580.82.07),
+ nvidia-firmware-580-server-580.82.07,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Package: nvidia-headless-no-dkms-580-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580-server (<= 580.65.06-1),
- nvidia-kernel-common-580-server (>= 580.65.06),
+ nvidia-kernel-common-580-server (<= 580.82.07-1),
+ nvidia-kernel-common-580-server (>= 580.82.07),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  nvidia-compute-utils-580-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.65.06
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.82.07
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-server-580.65.06
+Package: nvidia-firmware-580-server-580.82.07
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-580.65.06
-Replaces:
- nvidia-firmware-580-580.65.06
+ nvidia-firmware-580-580.82.07
+Replaces:
+ nvidia-firmware-580-580.82.07
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
