## nvidia-graphics-drivers-580-server 580.95.05

=== debian/changelog ===
nvidia-graphics-drivers-580-server (580.95.05-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release 580.95.05 (LP: #2125754)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 26 Sep 2025 15:18:17 +0200

nvidia-graphics-drivers-580-server (580.82.07-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release 580.82.07 (LP: #2118901)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 29 Aug 2025 17:16:50 +0200

nvidia-graphics-drivers-580-server (580.82.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release 580.82.01 (LP: #2121074)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 20 Aug 2025 17:34:22 +0200

nvidia-graphics-drivers-580-server (580.65.06-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release 580.65.06 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 30 Jul 2025 13:23:58 +0200

nvidia-graphics-drivers-580-server (580.65.03-0ubuntu0.18.04.2) bionic; urgency=medium

  * New upstream release 580.65.03 ERD1 (LP: #2118389)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 24 Jul 2025 16:20:49 +0200

nvidia-graphics-drivers-570-server (570.172.08-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.172.08 (LP: #2117176)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Jul 2025 19:52:38 +0200

nvidia-graphics-drivers-570-server (570.158.01-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.158.01 ERD5 (LP: #2114898)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 18 Jun 2025 16:51:11 +0200

nvidia-graphics-drivers-570-server (570.148.08-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.148.08 ERD4 (LP: #2109958)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 28 May 2025 10:22:44 +0200

nvidia-graphics-drivers-570-server (570.133.20-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.133.20 ERD3 (LP: #2107567)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 17 Apr 2025 15:16:07 +0200

nvidia-graphics-drivers-570-server (570.124.06-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release 570.124.06 ERD2 (LP: #2100845)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 04 Mar 2025 11:39:18 +0100

nvidia-graphics-drivers-570-server (570.86.15-0ubuntu0.20.04.5) focal; urgency=medium

  * New upstream release 570.86.15 ERD1 (LP: #2095341)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 28 Jan 2025 11:50:52 +0100
