=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
 Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/580-server
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 11),
  dpkg-dev (>= 1.17.11~),
  xz-utils,
  zstd,
@@ -20,7 +20,6 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
- libnvidia-egl-wayland1,
  libc6,
  libx11-6,
  python3,
@@ -32,10 +31,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580-server (= ${binary:Version}),
- nvidia-dkms-580-server (<= 580.82.07-1),
- nvidia-dkms-580-server (>= 580.82.07),
- nvidia-kernel-common-580-server (<= 580.82.07-1),
- nvidia-kernel-common-580-server (>= 580.82.07),
+ nvidia-dkms-580-server (<= 580.95.05-1),
+ nvidia-dkms-580-server (>= 580.95.05),
+ nvidia-kernel-common-580-server (<= 580.95.05-1),
+ nvidia-kernel-common-580-server (>= 580.95.05),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  libnvidia-extra-580-server (= ${binary:Version}),
@@ -93,11 +92,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580-server (<= 580.82.07-1),
- nvidia-kernel-source-580-server (>= 580.82.07),
- nvidia-kernel-common-580-server (<= 580.82.07-1),
- nvidia-kernel-common-580-server (>= 580.82.07),
- nvidia-firmware-580-server-580.82.07,
+ nvidia-kernel-source-580-server (<= 580.95.05-1),
+ nvidia-kernel-source-580-server (>= 580.95.05),
+ nvidia-kernel-common-580-server (<= 580.95.05-1),
+ nvidia-kernel-common-580-server (>= 580.95.05),
+ nvidia-firmware-580-server-580.95.05,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -109,6 +108,7 @@
 Package: nvidia-utils-580-server
 Architecture: amd64 arm64
 Depends:
+ nvidia-kernel-common-580-server (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Suggests:
  nvidia-driver-580-server,
@@ -125,7 +125,8 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
- ocl-icd-libopencl1, ${misc:Depends}, ${shlibs:Depends}
+ nvidia-kernel-common-580-server (= ${binary:Version}),
+ ${misc:Depends}, ${shlibs:Depends}
 Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
  libnvidia-ml1 (= ${source:Version}),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
@@ -183,8 +184,8 @@
 Package: nvidia-headless-no-dkms-580-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580-server (<= 580.82.07-1),
- nvidia-kernel-common-580-server (>= 580.82.07),
+ nvidia-kernel-common-580-server (<= 580.95.05-1),
+ nvidia-kernel-common-580-server (>= 580.95.05),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  nvidia-compute-utils-580-server (= ${binary:Version}),
@@ -221,7 +222,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.82.07
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.95.05
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +233,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-server-580.82.07
+Package: nvidia-firmware-580-server-580.95.05
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-580.82.07
-Replaces:
- nvidia-firmware-580-580.82.07
+ nvidia-firmware-580-580.95.05
+Replaces:
+ nvidia-firmware-580-580.95.05
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -251,8 +252,9 @@
 Replaces: libnvidia-gl
 Provides: libnvidia-gl, libglx-vendor, libegl-vendor
 Depends:
- libnvidia-common-580-server, ${misc:Depends}, ${shlibs:Depends},
- libnvidia-egl-wayland1
+ nvidia-kernel-common-580-server (= ${binary:Version}),
+ libnvidia-common-580-server,
+ ${misc:Depends}, ${shlibs:Depends},
 Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
  This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
  Vulkan ICD.
@@ -264,6 +266,7 @@
 Replaces: libnvidia-common
 Provides: libnvidia-common
 Depends:
+ nvidia-kernel-common-580-server (= ${binary:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Description: Shared files used by the NVIDIA libraries
  This package provides a set of files that are required by the NVIDIA
@@ -277,6 +280,7 @@
 Replaces: libnvidia-extra, libnvidia-common-580-server (<< 440.64-0ubuntu3~)
 Provides: libnvidia-extra
 Depends:
+ nvidia-kernel-common-580-server (= ${binary:Version}),
  ${misc:Depends}, ${shlibs:Depends}
 Description: Extra libraries for the NVIDIA Server Driver
  This package provides an additional set of libraries to be used with
@@ -308,6 +312,7 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
+ nvidia-kernel-common-580-server (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
 Provides:
  libnvidia-cfg1-any,
@@ -324,15 +329,3 @@
 
 Package: libnvidia-fbc1-580-server
 Architecture: i386 amd64 arm64
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
-# ${nvidia}-alternative (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libnvidia-fbc1,
-Conflicts:
- libnvidia-fbc1,
-Replaces:
- libnvidia-fbc1,
