=== debian/rules ===
--- 
+++ 
@@ -184,7 +184,7 @@
 	dh_installinit --noscripts
 
 override_dh_shlibdeps:
-	LD_LIBRARY_PATH=/$(libdir):$(LD_LIBRARY_PATH) dh_shlibdeps -Xlibnvidia-pkcs11.so
+	LD_LIBRARY_PATH=/$(libdir):$(LD_LIBRARY_PATH) dh_shlibdeps -Xlibnvidia-pkcs11-openssl3.so
 
 # Do not run dh_strip here.  The NVIDIA license says:
 #
