## nvidia-graphics-drivers-580-server 580.126.09

=== debian/changelog ===
nvidia-graphics-drivers-580-server (580.126.09-0ubuntu1) resolute; urgency=medium

  * New upstream release 580.126.09 ERD5 (LP: #2138245)

 -- Abdur Rahman <abdur.rahman@canonical.com>  Mon, 12 Jan 2026 12:27:43 -0500

nvidia-graphics-drivers-580-server (580.105.08-0ubuntu1) resolute; urgency=medium

  * New upstream release 580.105.08 ERD4 (LP: #2129766)

 -- Abdur Rahman <abdur.rahman@canonical.com>  Sun, 30 Nov 2025 16:53:50 -0500

nvidia-graphics-drivers-580-server (580.95.05-0ubuntu4) resolute; urgency=medium

  [ Timo Aaltonen ]
  * templates/control.in: Build libnvidia-common-NNN on i386/amd64/arm64
    instead of being arch:all, and drop dependency on nvidia-kernel-common
    from i386.

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Wed, 26 Nov 2025 16:48:54 +0100

nvidia-graphics-drivers-580-server (580.95.05-0ubuntu3) resolute; urgency=medium

  * Fix Linux 6.18 -open build 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 05 Nov 2025 15:58:18 +0000

nvidia-graphics-drivers-580-server (580.95.05-0ubuntu2) questing; urgency=medium

  * Fix dependencies between packages (LP: #2129682)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 23 Oct 2025 19:35:42 +0200

nvidia-graphics-drivers-580-server (580.95.05-0ubuntu1) questing; urgency=medium

  * New upstream release 580.95.05 (LP: #2125754)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 26 Sep 2025 15:13:51 +0200
