=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
 Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/580-server
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dpkg-dev (>= 1.17.11~),
  xz-utils,
  zstd,
@@ -20,6 +20,7 @@
  libkmod-dev,
  libpciaccess-dev,
  pkg-config,
+ libnvidia-egl-wayland1,
  libc6,
  libx11-6,
  python3,
@@ -31,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-580-server (= ${binary:Version}),
- nvidia-dkms-580-server (<= 580.95.05-1),
- nvidia-dkms-580-server (>= 580.95.05),
- nvidia-kernel-common-580-server (<= 580.95.05-1),
- nvidia-kernel-common-580-server (>= 580.95.05),
+ nvidia-dkms-580-server (<= 580.126.09-1),
+ nvidia-dkms-580-server (>= 580.126.09),
+ nvidia-kernel-common-580-server (<= 580.126.09-1),
+ nvidia-kernel-common-580-server (>= 580.126.09),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  libnvidia-extra-580-server (= ${binary:Version}),
@@ -92,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-580-server (<= 580.95.05-1),
- nvidia-kernel-source-580-server (>= 580.95.05),
- nvidia-kernel-common-580-server (<= 580.95.05-1),
- nvidia-kernel-common-580-server (>= 580.95.05),
- nvidia-firmware-580-server-580.95.05,
+ nvidia-kernel-source-580-server (<= 580.126.09-1),
+ nvidia-kernel-source-580-server (>= 580.126.09),
+ nvidia-kernel-common-580-server (<= 580.126.09-1),
+ nvidia-kernel-common-580-server (>= 580.126.09),
+ nvidia-firmware-580-server-580.126.09,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -108,7 +109,7 @@
 Package: nvidia-utils-580-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09,
  ${shlibs:Depends}, ${misc:Depends}
 Suggests:
  nvidia-driver-580-server,
@@ -125,7 +126,8 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09 [!i386],
+ ocl-icd-libopencl1,
  ${misc:Depends}, ${shlibs:Depends}
 Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
  libnvidia-ml1 (= ${source:Version}),
@@ -184,8 +186,8 @@
 Package: nvidia-headless-no-dkms-580-server
 Architecture: amd64 arm64
 Depends:
- nvidia-kernel-common-580-server (<= 580.95.05-1),
- nvidia-kernel-common-580-server (>= 580.95.05),
+ nvidia-kernel-common-580-server (<= 580.126.09-1),
+ nvidia-kernel-common-580-server (>= 580.126.09),
  nvidia-kernel-source-580-server (= ${binary:Version}),
  libnvidia-compute-580-server (= ${binary:Version}),
  nvidia-compute-utils-580-server (= ${binary:Version}),
@@ -220,9 +222,11 @@
 Package: nvidia-kernel-common-580-server
 Architecture: amd64 arm64
 Conflicts: nvidia-kernel-common
-Provides: nvidia-kernel-common
-Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.95.05
+Provides:
+ nvidia-kernel-common,
+ nvidia-kernel-common-580-server-580.126.09
+Depends:
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-580-server-580.126.09
 Replaces:
  nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -233,12 +237,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-580-server-580.95.05
+Package: nvidia-firmware-580-server-580.126.09
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-580-580.95.05
-Replaces:
- nvidia-firmware-580-580.95.05
+ nvidia-firmware-580-580.126.09
+Replaces:
+ nvidia-firmware-580-580.126.09
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -252,21 +256,22 @@
 Replaces: libnvidia-gl
 Provides: libnvidia-gl, libglx-vendor, libegl-vendor
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09 [!i386],
  libnvidia-common-580-server,
  ${misc:Depends}, ${shlibs:Depends},
+ libnvidia-egl-wayland1
 Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
  This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
  Vulkan ICD.
 
 Package: libnvidia-common-580-server
-Architecture: all
+Architecture: i386 amd64 arm64
 Multi-Arch: foreign
 Conflicts: libnvidia-common
 Replaces: libnvidia-common
 Provides: libnvidia-common
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09 [!i386],
  ${misc:Depends}, ${shlibs:Depends}
 Description: Shared files used by the NVIDIA libraries
  This package provides a set of files that are required by the NVIDIA
@@ -280,7 +285,7 @@
 Replaces: libnvidia-extra, libnvidia-common-580-server (<< 440.64-0ubuntu3~)
 Provides: libnvidia-extra
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09 [!i386],
  ${misc:Depends}, ${shlibs:Depends}
 Description: Extra libraries for the NVIDIA Server Driver
  This package provides an additional set of libraries to be used with
@@ -312,7 +317,7 @@
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
- nvidia-kernel-common-580-server (= ${binary:Version}),
+ nvidia-kernel-common-580-server-580.126.09,
  ${shlibs:Depends}, ${misc:Depends}
 Provides:
  libnvidia-cfg1-any,
@@ -325,7 +330,3 @@
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
  for graphics cards using NVIDIA chip sets.
  .
- This package contains the libnvidia-cfg.so.1 runtime library.
-
-Package: libnvidia-fbc1-580-server
-Architecture: i386 amd64 arm64
